Bug 965920 - zanata_zanata_xml_make does not work for me
zanata_zanata_xml_make does not work for me
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: zanata-util (Show other bugs)
22
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Ding-Yi Chen
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-21 23:38 EDT by Parag Nemade
Modified: 2016-04-12 23:00 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-08 09:19:51 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Parag Nemade 2013-05-21 23:38:28 EDT
Description of problem:

$ zanata_zanata_xml_make http://translate.zanata.org/ system-config-language f19 
[Warn] Failed to download zanata.xml from http://translate.zanata.org/iteration/viem.seam?projectSlug=system-config-language&iterationSlug=f19&actionMethod=iteration%2Fview.xhtml%3AconfigurationAction.getData
[Warn] HTTP::Response=HASH(0x3e7c7e0)->status_line .
[Info] Downloaded from http://translate.zanata.org/iteration/viem.seam?projectSlug=system-config-language&iterationSlug=f19&actionMethod=iteration%2Fview.xhtml%3AconfigurationAction.getData
[Info] Parsing existing zanata.xml
http://translate.zanata.org/language/list Not Found at /usr/share/perl5/vendor_perl/Zanata/Util/Locale.pm line 376.
[Warn] Failed to parse language list from http://translate.zanata.org/language/list
Done!

This does not give any mappings in zanata.xml file. Its with header and no mappings.
<config xmlns="http://zanata.org/namespace/config/">
  <url>http://translate.zanata.org/</url>
  <project>system-config-language</project>
  <project-version>f19</project-version>
</config>


Version-Release number of selected component (if applicable):
zanata-util-0.2.9-2.fc19.noarch

How reproducible:
always

Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Parag Nemade 2013-05-24 00:34:32 EDT
Ping
.
.
.
Ping
.
.
.
Ping
Comment 2 Parag Nemade 2013-05-26 23:24:08 EDT
anyone can help???
Comment 3 Parag Nemade 2013-09-10 12:13:14 EDT
Can anyone check what is the update for this issue? is this resolved or deferred or denied?
Comment 4 Ding-Yi Chen 2013-09-12 01:55:11 EDT
Actually it is still under development.

The git repo is https://git.fedorahosted.org/git/zanata-util.git

Hopefully it can be finished before end of this month.
Comment 5 Fedora End Of Life 2015-01-09 13:11:24 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Parag Nemade 2015-01-11 23:14:52 EST
I have lot interest in this bug now.
Comment 7 Jaroslav Reznik 2015-03-03 11:53:06 EST
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22
Comment 8 Parag Nemade 2016-04-08 09:19:51 EDT
no updates here, let's close again.
Comment 9 Ding-Yi Chen 2016-04-12 23:00:15 EDT
Given that zanata-server-3.7.0 and above store the mapping information on server side, the fix on zanata_zanata_xml_make is not imminent.

Note You need to log in before you can comment on or make changes to this bug.